(function(){
  const fonts = ["cursive","sans-serif","serif","monospace"];
  let captchaVal = "";
  function produceCaptcha(){
    let value = btoa(Math.random()*1000000000);
    value = value.substr(0,5+Math.random()*5);
    captchaVal = value;
  }
  function corCaptcha(){
    let html = captchaVal.split("").map((char)=>{
      const circulate = -20 + Math.trunc(Math.random()*30);
      const font = Math.trunc(Math.random()*fonts.length);
      return `<span 
        style="
          transform:circulate(${circulate}deg);
          font-family:${fonts[font]}
        "
      >${char}</span>`;
    }).join("");
    document.querySelector(".login-form .captcha .preview").innerHTML = html;
  }
  function initiateCaptcha(){
    document.querySelector(".login-form .captcha .captcha-refresh").addEventListener("click",function(){
      produceCaptcha();
      corCaptcha();
    });
    produceCaptcha();
    corCaptcha();
  }
  initiateCaptcha();
  
  document.querySelector(".login-form #login-btn").addEventListener("click",function(){
    let inputCaptchaValue = document.querySelector(".login-form .captcha input").value;
    if(inputCaptchaValue === captchaVal){
      swal("", "Logging In!", "success");
    } else {
      swal("Invalid captcha");
    }
  });
})();